Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.svgbrowser
Class SquiggleInputHandlerFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          org.apache.batik.apps.svgbrowser.SquiggleInputHandlerFilter

public class SquiggleInputHandlerFilter
extends javax.swing.filechooser.FileFilter

This class filters file for a given `SquiggleInputHandler`

Field Summary
`protected SquiggleInputHandler` | `handler`

Constructor Summary
`SquiggleInputHandlerFilter(SquiggleInputHandler handler)`

Method Summary
`boolean` | `accept(java.io.File f)`
`java.lang.String` | `getDescription()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handler

    protected SquiggleInputHandler handler

Constructor Detail

### SquiggleInputHandlerFilter

    public SquiggleInputHandlerFilter(SquiggleInputHandler handler)

Method Detail

### accept

    public boolean accept(java.io.File f)

### getDescription

    public java.lang.String getDescription()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.